Package org.eclipse.jface.text.contentassist

# Interface ICompletionProposalExtension5

public interface ICompletionProposalExtension5
Extends `ICompletionProposal` with the following function:

- Allow background computation of the additional info.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdditionalProposalInfo(IProgressMonitor monitor)`
Returns additional information about the proposal.

## Method Details

### getAdditionalProposalInfo

Object getAdditionalProposalInfo(IProgressMonitor monitor)
Returns additional information about the proposal. The additional information will be presented to assist the user in deciding if the selected proposal is the desired choice.

This method may be called on a non-UI thread.

By default, the returned information is converted to a string and displayed as text; if `ICompletionProposalExtension3.getInformationControlCreator()` is implemented, the information will be passed to a custom information control for display.

Parameters:
  `monitor` - a monitor to report progress and to watch for `cancelation`.
Returns:
  the additional information, `null` for no information